#ifndef _USBN9604_SYS_CONFIG_H_
#define _USBN9604_SYS_CONFIG_H_

#define USBN9604_BASE_ADDRESS		0x00800004		/* USBN9604 Υ쥸١ɥ쥹 */

#define INHNO_IF_USBN9604		IRQ_EXT4		/* IRQ4 */
#define USBN9604_IER			H8IER
#define USBN9604_IER_IP_BIT		H8IER_IRQ4E_BIT
#define USBN9604_IPR			H8IPRA
#define USBN9604_IPR_IP_BIT		H8IPR_IRQ4_BIT

/*
 *  JSP-1.4.2 ʹߤǤϡߥϥɥϿˡѹ졢
 *  ߥץ饤ƥ٥ꤹɬפ롣
 */

#define USBN9604_IPM			IPM_LEVEL1

/*  
 * ߥϥɥ¹γߥޥ
 * ¾γߤޥ뤿  
 * ʬƱ٥γ׵֥å뤿ᡢ
 * 嵭γ׵٥꣱Ĺ⤤٥ꤹ롣
 */
#if USBN9604_IPM == IPM_LEVEL0
#define if_usbn9604_handler_intmask		IPM_LEVEL1
#elif USBN9604_IPM == IPM_LEVEL1
#define if_usbn9604_handler_intmask		IPM_LEVEL2
#endif 	/* USBN9604_IPM == IPM_LEVEL0 */

#ifndef _MACRO_ONLY

#define usbn9604_ena_inter()	bitset((UB*)USBN9604_IER, USBN9604_IER_IP_BIT)
#define usbn9604_dis_inter()	bitclr((UB*)USBN9604_IER, USBN9604_IER_IP_BIT)

extern void usbn9604_bus_init (void);
extern void usbn9604_inter_init (void);

#endif	/* of #ifndef _MACRO_ONLY */

#endif /* _USBN9604_SYS_CONFIG_H_ */
