/*
 *  TINET (TCP/IP Protocol Stack)
 * 
 *  Copyright (C) 2001-2006 by Dep. of Computer Science and Engineering
 *                   Tomakomai National College of Technology, JAPAN
 *
 *  嵭Ԥϡʲ (1)(4) ξ狼Free Software Foundation 
 *  ˤäƸɽƤ GNU General Public License  Version 2 ˵
 *  ҤƤ˸¤ꡤܥեȥܥեȥ
 *  ѤΤޤࡥʲƱˤѡʣѡۡʰʲ
 *  ѤȸƤ֡ˤ뤳Ȥ̵ǵ롥
 *  (1) ܥեȥ򥽡ɤηѤˤϡ嵭
 *      ɽѾ浪Ӳ̵ݾڵ꤬Τޤޤηǥ
 *      ˴ޤޤƤ뤳ȡ
 *  (2) ܥեȥ򡤥饤֥ʤɡ¾Υեȥȯ˻
 *      ѤǤǺۤˤϡۤȼɥȡ
 *      ԥޥ˥奢ʤɡˤˡ嵭ɽѾ浪Ӳ
 *      ̵ݾڵǺܤ뤳ȡ
 *  (3) ܥեȥ򡤵Ȥ߹ʤɡ¾Υեȥȯ˻
 *      ѤǤʤǺۤˤϡξȡ
 *    (a) ۤȼɥȡѼԥޥ˥奢ʤɡˤˡ嵭
 *        ɽѾ浪Ӳ̵ݾڵǺܤ뤳ȡ
 *  (4) ܥեȥѤˤľŪޤϴŪ뤤ʤ»
 *      ⡤嵭ԤTOPPERSץȤդ뤳ȡ
 *
 *  ܥեȥϡ̵ݾڤ󶡤ƤΤǤ롥嵭Ԥ
 *  TOPPERSץȤϡܥեȥ˴ؤơŬѲǽ
 *  ޤơʤݾڤԤʤޤܥեȥѤˤľ
 *  ŪޤϴŪʤ»˴ؤƤ⡤Ǥʤ
 * 
 *  @(#) $Id: tinet_app_config.h,v 1.3.1.2 2006/07/11 01:00:04 abe Exp abe $
 */

#ifndef _TINET_APP_CONFIG_H_
#define _TINET_APP_CONFIG_H_

/*
 *  󥿡ͥåȥץȥեߥ꡼Υݡ
 *
 *    Makefile ǻꤷƤɤ
 */

/*#define SUPPORT_INET4		TCP/IP,IPv4		*/
/*#define SUPPORT_INET6		TCP/IP,IPv6		*/
/*#define SUPPORT_TCP		TCP			*/
/*#define SUPPORT_UDP		UDP			*/

/*ǡؤΥͥåȥ󥿥ե򤹤	*/
/*줫ĤǤ롣				*/

/*#define SUPPORT_PPP		PointtoPointProtocol	*/
/*#define SUPPORT_LOOP		LocalLoopBack		*/
/*#define SUPPORT_ETHER		Ethernet		*/

/*#define SUPPORT_MIB		MIB(SNMP)		*/

/*
 *  TCP/IP ˴ؤ
 */

/* TCP ˴ؤ */

#define TCP_CFG_PASSIVE_OPEN	/* TCP Passive Open	*/

/*
 *  MAX_TCP_SND_SEG: ȥκ
 *
 *    ꤫ MSS ץǥȥꤵƤ⡢
 *    ͤǡȥ¤Ǥ롣
 */

#ifdef USE_TCP_MSS_SEG

#ifdef MAX_TCP_SND_SEG
#undef MAX_TCP_SND_SEG
#endif

#ifdef SUPPORT_INET4
#define MAX_TCP_SND_SEG		TCP_MSS
#endif

#ifdef SUPPORT_INET6
#define MAX_TCP_SND_SEG		TCP6_MSS
#endif

#endif	/* of #ifdef USE_TCP_MSS_SEG */

/*
 *  DEF_TCP_RCV_SEG: ȥε
 */

#ifdef USE_TCP_MSS_SEG

#ifdef DEF_TCP_RCV_SEG
#undef DEF_TCP_RCV_SEG
#endif

#ifdef SUPPORT_INET4
#define DEF_TCP_RCV_SEG		TCP_MSS
#endif

#ifdef SUPPORT_INET6
#define DEF_TCP_RCV_SEG		TCP6_MSS
#endif

#endif	/* of #ifdef USE_TCP_MSS_SEG */

/* IPv4 ˴ؤ */

#ifdef SUPPORT_INET4

#ifdef SUPPORT_PPP

#if 1
#define IPV4_ADDR_LOCAL			MAKE_IPV4_ADDR(192,168,1,21)
#else
#define IPV4_ADDR_LOCAL			MAKE_IPV4_ADDR(0,0,0,0)		/* ˳ƤƤ餦	*/
#endif

#if 1
#define IPV4_ADDR_REMOTE		MAKE_IPV4_ADDR(192,168,1,31)
#else
#define IPV4_ADDR_REMOTE		MAKE_IPV4_ADDR(0,0,0,0)		/* ˳ƤƤ餦	*/
#endif

#define NUM_STATIC_ROUTE_ENTRY		1
#define NUM_REDIRECT_ROUTE_ENTRY	0

#endif	/* of #ifdef SUPPORT_PPP */

#ifdef SUPPORT_ETHER

#ifdef DHCP_CFG

#define IPV4_ADDR_LOCAL			MAKE_IPV4_ADDR(0,0,0,0)
#define IPV4_ADDR_LOCAL_MASK		MAKE_IPV4_ADDR(0,0,0,0)

#else	/* of #ifdef DHCP_CFG */

#define IPV4_ADDR_LOCAL			MAKE_IPV4_ADDR(172,25,129,111)
#define IPV4_ADDR_LOCAL_MASK		MAKE_IPV4_ADDR(255,255,255,0)

#define IPV4_ADDR_DEFAULT_GW		MAKE_IPV4_ADDR(172,25,129,140)

#endif	/* of #ifdef DHCP_CFG */

#define NUM_STATIC_ROUTE_ENTRY		3
#define NUM_REDIRECT_ROUTE_ENTRY	1

#endif	/* of #ifdef SUPPORT_ETHER */

#ifdef SUPPORT_LOOP

#define NUM_STATIC_ROUTE_ENTRY		1
#define NUM_REDIRECT_ROUTE_ENTRY	0

#endif	/* of #ifdef SUPPORT_LOOP */

#endif	/* of #ifdef SUPPORT_INET4 */

/* IPv6 ˴ؤ */

#ifdef SUPPORT_INET6

#ifdef SUPPORT_PPP

#define NUM_STATIC_ROUTE_ENTRY		0
#define NUM_REDIRECT_ROUTE_ENTRY	0

#endif	/* of #ifdef SUPPORT_PPP */

#ifdef SUPPORT_LOOP

#define NUM_STATIC_ROUTE_ENTRY		0
#define NUM_REDIRECT_ROUTE_ENTRY	0

#endif	/* of #ifdef SUPPORT_LOOP */

#ifdef SUPPORT_ETHER

#define NUM_STATIC_ROUTE_ENTRY		0
#define NUM_REDIRECT_ROUTE_ENTRY	1

#endif	/* of #ifdef SUPPORT_ETHER */

#endif	/* of #ifdef SUPPORT_INET6 */

/*
 *  ǡ (ͥåȥ󥿥ե) ˴ؤ
 */

/*
 *  PPP ˴ؤ
 */

#define HDLC_PORTID		1	/* HDLC(PPP)Ѥ륷ꥢݡֹ	*/

/*#define PPP_IDLE_TIMEOUT	(180*NET_TIMER_HZ)*/
					/* ǤޤǤΥɥ֡		*/
					/* ǤʤϥȥȤ롣	*/

/*#define PPP_CFG_MODEM			 ǥ³ξϥȤ򳰤	*/

#define MODEM_CFG_INIT		"ATE1&D0&S0\\V0\\Q1S0=1"
					/* ǥʸ			*/
					/* NTT DoComo Х륢ץ 96F 	*/
					/*   E1: Хå			*/
					/*  &D0: ER̵			*/
					/*  &S0: DR ON			*/
					/*  \V0: ꥶȥ TYPE 1		*/
					/*  \Q1: XON/XOFF ե		*/
					/* S0=1: ư忮󥰲 = 1 	*/

#define MODEM_CFG_PHONE_NUMBER	"090-xxxx-9242"

					/* ε			*/
#define DEF_LCP_LOCAL_CFGS	(LCP_CFG_MRU|LCP_CFG_ACCM|LCP_CFG_MAGIC|LCP_CFG_ACCOMP|LCP_CFG_PCOMP|LCP_CFG_PAP)

					/* ˵ε		*/
#define DEF_LCP_REMOTE_CFGS	(LCP_CFG_MRU|LCP_CFG_ACCM|LCP_CFG_MAGIC|LCP_CFG_ACCOMP|LCP_CFG_PCOMP|LCP_CFG_PAP)

/*
 *  ǧڤ˴ؤ
 */

#define AUTH_CFG_CLIENT		   	/* ǧڥ饤ȥ⡼ɤλϥȤ򳰤	*/
#define AUTH_CFG_SERVER			/* ǧڥХ⡼ɤλϥȤ򳰤		*/

#define AUTH_LOCAL_USER		"h8"		/* ۥȤؤΥǧڥ桼̾	*/
#define AUTH_LOCAL_PASSWD	"3048f"		/* ۥȤؤΥǧڥѥ	*/
#define AUTH_REMOTE_USER	"pen3"		/* ؤΥǧڥ桼̾		*/
#define AUTH_REMOTE_PASSWD	"600MHz"	/* ؤΥǧڥѥ		*/

/*
 *  ARP ˴ؤ
 */

/*#define ARP_CFG_CALLBACK_DUPLICATED*/	/* IP ɥ쥹ʣХХåؿ	*/
					/* ϥȤ򳰤		*/

/*
 *  ICMPv4/v6 ˴ؤ
 */

/*#define ICMP_CFG_CALLBACK_ECHO_REPLY*/	/* ICMP ECHO ȤƽФХåؿ	*/
					/* ϥȤ򳰤			*/

/*
 *  ͥåȥХåեγ
 */

#ifdef SUPPORT_ETHER

/*
 *  ͥåȤξΥͥåȥХåեγ
 */

/*
 *  !!
 *
 *  NE2000 ߴ NIC ΥǥХɥ饤Сif_edˤκĹ
 *  60ʥ饤󤷤 62˥ƥåȤΤ IF + IPv4 +TCP 
 *  64 ƥåȤΥͥåȥХåեŬǤ롣
 */

#ifdef SUPPORT_INET6

#ifdef NUM_MPF_NET_BUF_CSEG
#undef NUM_MPF_NET_BUF_CSEG
#endif
#define NUM_MPF_NET_BUF_CSEG	2	/* IF + IP + TCP	*/

#endif	/* of #ifdef SUPPORT_INET6 */

#ifdef SUPPORT_INET4

#ifdef NUM_MPF_NET_BUF_64
#undef NUM_MPF_NET_BUF_64
#endif
#define NUM_MPF_NET_BUF_64	2	/* 64 ƥå	*/

#endif	/* #ifdef SUPPORT_INET4 */

#ifdef NUM_MPF_NET_BUF_128
#undef NUM_MPF_NET_BUF_128
#endif
#define NUM_MPF_NET_BUF_128	1	/* 128 ƥå	*/

#ifdef NUM_MPF_NET_BUF_256
#undef NUM_MPF_NET_BUF_256
#endif
#define NUM_MPF_NET_BUF_256	1	/* 256 ƥå	*/

#ifdef NUM_MPF_NET_BUF_512
#undef NUM_MPF_NET_BUF_512
#endif
#define NUM_MPF_NET_BUF_512	1	/* 512 ƥå	*/

#ifdef SUPPORT_INET4

#ifdef NUM_MPF_NET_BUF_IP_MSS
#undef NUM_MPF_NET_BUF_IP_MSS
#endif

#ifdef USE_TCP_MSS_SEG
#define NUM_MPF_NET_BUF_IP_MSS	2	/* IF + 576 ƥå	*/
#else
#define NUM_MPF_NET_BUF_IP_MSS	0	/* IF + 576 ƥå	*/
#endif

#endif	/* of #ifdef SUPPORT_INET4 */

#ifdef NUM_MPF_NET_BUF_1024
#undef NUM_MPF_NET_BUF_1024
#endif
#define NUM_MPF_NET_BUF_1024	1	/* 1024 ƥå	*/

#ifdef SUPPORT_INET6

#ifdef NUM_MPF_NET_BUF_IPV6_MMTU
#undef NUM_MPF_NET_BUF_IPV6_MMTU
#endif

#ifdef USE_TCP_MSS_SEG
#define NUM_MPF_NET_BUF_IPV6_MMTU	2	/* IF + 1280	*/
#else
#define NUM_MPF_NET_BUF_IPV6_MMTU	0	/* IF + 1280	*/
#endif

#endif	/* of #ifdef SUPPORT_INET6 */

#ifdef NUM_MPF_NET_BUF_IF_PDU
#undef NUM_MPF_NET_BUF_IF_PDU
#endif

#ifdef USE_TCP_MSS_SEG
#define NUM_MPF_NET_BUF_IF_PDU	0	/* IF  PDU 	*/
#else
#define NUM_MPF_NET_BUF_IF_PDU	3	/* IF  PDU 	*/
#endif

#endif	/* of #ifdef SUPPORT_ETHER */

#endif /* _TINET_APP_CONFIG_H_ */
