#ifndef _SL811_SYS_CONFIG_H_
#define _SL811_SYS_CONFIG_H_

#define SL811_BASE_ADDRESS		0x00800000		/* SL811 Υ쥸١ɥ쥹 */

#define INHNO_IF_SL811		IRQ_EXT0		/* IRQ0 */
#define SL811_IER			H8IER
#define SL811_IER_IP_BIT		H8IER_IRQ0E_BIT
#define SL811_IPR			H8IPRA
#define SL811_IPR_IP_BIT		H8IPR_IRQ0_BIT

/*
 *  JSP-1.4.2 ʹߤǤϡߥϥɥϿˡѹ졢
 *  ߥץ饤ƥ٥ꤹɬפ롣
 */

#define SL811_IPM			IPM_LEVEL1

/*  
 * ߥϥɥ¹γߥޥ
 * ¾γߤޥ뤿  
 * ʬƱ٥γ׵֥å뤿ᡢ
 * 嵭γ׵٥꣱Ĺ⤤٥ꤹ롣
 */
#if SL811_IPM == IPM_LEVEL0
#define if_sl811_handler_intmask		IPM_LEVEL1
#elif SL811_IPM == IPM_LEVEL1
#define if_sl811_handler_intmask		IPM_LEVEL2
#endif 	/* SL811_IPM == IPM_LEVEL0 */

#ifndef _MACRO_ONLY

#define sl811_ena_inter()	bitset((UB*)SL811_IER, SL811_IER_IP_BIT)
#define sl811_dis_inter()	bitclr((UB*)SL811_IER, SL811_IER_IP_BIT)

extern void sl811_bus_init (void);
extern void sl811_inter_init (void);

#endif	/* of #ifndef _MACRO_ONLY */

#endif /* _SL811_SYS_CONFIG_H_ */
